<?php
/*---------------------------------------------------------
# BT Demo - Joomla! Component
# ---------------------------------------------------------
# For Joomla! 2.5 & Joomla! 3.x
# Copyright (C) 2007-2013 BonusThemes.com. typography rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */

defined( '_JEXEC' ) or die( 'Restricted access' );

// Icons
jimport('joomla.environment.uri' );
$host = JURI::root();
$document = JFactory::getDocument();
$document->addStyleSheet($host.'administrator/components/com_btdemo/assets/css/default.css');

// Preferences
JToolBarHelper::preferences('com_btdemo', 600);

// Page Title
JToolBarHelper::title( JText::_( 'BT Demo' ), 'btdemo' );

// get Params
$component = JComponentHelper::getComponent('com_btdemo');
$params = JComponentHelper::getParams('com_btdemo');
$template_map = $params->get('template_map');
$template_parameters = $params->get('template_parameters');
$skin1_screenshot = $params->get('skin1');
$skin2_screenshot = $params->get('skin2');
$skin3_screenshot = $params->get('skin3');
$skin4_screenshot = $params->get('skin4');
$skin5_screenshot = $params->get('skin5');
$skin6_screenshot = $params->get('skin6');
$skin7_screenshot = $params->get('skin7');
$skin8_screenshot = $params->get('skin8');
$skin9_screenshot = $params->get('skin9');

$skin_counter = 0;
for ($i=1;$i<=9;$i++) :
	if (!empty(${'skin'.$i.'_screenshot'})) : 
		$skin_counter++;
	endif; 
endfor;
?>
<h2>Reports</h2>
<div>
<ul>
	<li class="bt_complete">The Typography page is ready for demonstration!</li>
	<?php echo (empty($skin1_screenshot) ? '<li class="bt_pending">Upload the Screenshot for the 1st Skin Color!</li>' : '<li class="bt_complete">'.$skin_counter.' color skins have been uploaded successfully in Color Skins page!</li>') ?></li>
	<?php echo (empty($template_map) ? '<li class="bt_pending">Upload the Template\'s map image!</li>' : '<li class="bt_complete">The Template\'s map has been uploaded successfully!</li>') ?></li>
	<?php echo (empty($template_parameters) ? '<li class="bt_pending">Upload the Template\'s Parameters image!</li>' : '<li class="bt_complete">The Template\'s Parameters has been uploaded successfully!</li>') ?></li>
</ul>





