<?php
/*---------------------------------------------------------
# BT GoTop - Joomla! Module
# ---------------------------------------------------------
# For Joomla! 2.5 & Joomla! 3.x
# Copyright (C) 2007-2013 BonusThemes.com. All rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// get the gotop icon
$gotop_icon_parameter = $params->get('gotop_icon');
$gotop_icon = (!empty($gotop_icon_parameter)) ? $gotop_icon_parameter : 'modules/mod_bt_gotop/assets/icons/gotop_button_example.png';

// calculate the witdth and the height of icon
$path_to_icon = JPATH_ROOT.'/'.$gotop_icon;
list($width, $height) = getimagesize($path_to_icon);
$important = (!empty($gotop_icon_parameter)) ? ' !important' : '';

// get hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
$document = JFactory::getDocument();

// CSS
$style = '/* BEGIN: mod_bt_gotop css code */
.bt_go_top_button_img a { 
   width: '.$width.'px'.$important.';
   height: '.($height/2).'px'.$important.';
   background-image: url("'.JURI::base().$gotop_icon.'")'.$important.';
}
.bt_go_top_button_img a:hover { 
   background-position: 0 -'.($height/2).'px'.$important.';
}
#bt_gotop_message a { 
   margin-top: -170px;
   margin-left: -20px;
   display: none;
   z-index: 999;
   position: fixed;
   top: 100%;
   left: 95%;
}
/* END: mod_bt_gotop css code */';
$document->addStyleDeclaration($style);

// JS
if(JFactory::getApplication()->get('jquery') !== true) :
	// load jQuery here
	JFactory::getApplication()->set('jquery', true);
	$document->addScript('http://code.jquery.com/jquery-latest.js');
endif;
$document->addScript($host.'modules/mod_bt_gotop/assets/js/mod_bt_gotop.js');

// Display goTop icon
echo '<div id="bt_gotop_message" class="bt_go_top_button_img"><a href="#bttop"></a></div>';