<?php
/*---------------------------------------------------------
# BT Social Icons - Joomla! Module
# ---------------------------------------------------------
# For Joomla! 2.5 & Joomla! 3.x
# Copyright (C) 2007-2013 BonusThemes.com. All rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// get hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
$document = JFactory::getDocument();

// Link Target
$link_target = $params->get('link_target', '_blank');

// Social Icon 1
$social_icon_1_enabled = $params->get('social_icon_1_enabled', '1');
$social_link_1 = $params->get('social_link_1', 'http://www.bonusthemes.com');
$social_icon_1_parameter = $params->get('social_icon_1');
$social_icon_1 = (!empty($social_icon_1_parameter)) ? $social_icon_1_parameter : 'modules/mod_bt_social_icons/assets/icons/facebook.png';
$important_1 = (!empty($social_icon_1_parameter)) ? ' !important' : '';
$path_to_icon_1 = JPATH_ROOT.'/'.$social_icon_1;
list($width_1, $height_1) = getimagesize($path_to_icon_1);

// Social Icon 2
$social_icon_2_enabled = $params->get('social_icon_2_enabled', '1');
$social_link_2 = $params->get('social_link_2', 'http://www.bonusthemes.com');
$social_icon_2_parameter = $params->get('social_icon_2');
$social_icon_2 = (!empty($social_icon_2_parameter)) ? $social_icon_2_parameter : 'modules/mod_bt_social_icons/assets/icons/twitter.png';
$important_2 = (!empty($social_icon_2_parameter)) ? ' !important' : '';
$path_to_icon_2 = JPATH_ROOT.'/'.$social_icon_2;
list($width_2, $height_2) = getimagesize($path_to_icon_2);

// Social Icon 3
$social_icon_3_enabled = $params->get('social_icon_3_enabled', '1');
$social_link_3 = $params->get('social_link_3', 'http://www.bonusthemes.com');
$social_icon_3_parameter = $params->get('social_icon_3');
$social_icon_3 = (!empty($social_icon_3_parameter)) ? $social_icon_3_parameter : 'modules/mod_bt_social_icons/assets/icons/rss.png';
$important_3 = (!empty($social_icon_3_parameter)) ? ' !important' : '';
$path_to_icon_3 = JPATH_ROOT.'/'.$social_icon_3;
list($width_3, $height_3) = getimagesize($path_to_icon_3);

// Social Icon 4
$social_icon_4_enabled = $params->get('social_icon_4_enabled', '1');
$social_link_4 = $params->get('social_link_4', 'http://www.bonusthemes.com');
$social_icon_4_parameter = $params->get('social_icon_4');
$social_icon_4 = (!empty($social_icon_4_parameter)) ? $social_icon_4_parameter : 'modules/mod_bt_social_icons/assets/icons/google.png';
$important_4 = (!empty($social_icon_4_parameter)) ? ' !important' : '';
$path_to_icon_4 = JPATH_ROOT.'/'.$social_icon_4;
list($width_4, $height_4) = getimagesize($path_to_icon_4);

// Social Icon 5
$social_icon_5_enabled = $params->get('social_icon_5_enabled', '1');
$social_link_5 = $params->get('social_link_5', 'http://www.bonusthemes.com');
$social_icon_5_parameter = $params->get('social_icon_5');
$social_icon_5 = (!empty($social_icon_5_parameter)) ? $social_icon_5_parameter : 'modules/mod_bt_social_icons/assets/icons/email.png';
$important_5 = (!empty($social_icon_5_parameter)) ? ' !important' : '';
$path_to_icon_5 = JPATH_ROOT.'/'.$social_icon_5;
list($width_5, $height_5) = getimagesize($path_to_icon_5);

// Social Icon 6
$social_icon_6_enabled = $params->get('social_icon_6_enabled', '1');
$social_link_6 = $params->get('social_link_6', 'http://www.bonusthemes.com');
$social_icon_6_parameter = $params->get('social_icon_6');
$social_icon_6 = (!empty($social_icon_6_parameter)) ? $social_icon_6_parameter : 'modules/mod_bt_social_icons/assets/icons/linkedin.png';
$important_6 = (!empty($social_icon_6_parameter)) ? ' !important' : '';
$path_to_icon_6 = JPATH_ROOT.'/'.$social_icon_6;
list($width_6, $height_6) = getimagesize($path_to_icon_6);

// CSS
$style = "\n\n".'/* BEGIN: mod_bt_social_icons css code */
.bt_social_icons { 
   text-align: left; 
} 
.bt_social_icon { 
   width: '.$width_1.'px'.$important_1.'; 
   height: '.($height_1/2).'px'.$important_1.'; 
   margin: 6px 0px 0px 3px; 
   display: inline-block; 
   background-position: left top; 
} 
.bt_social_icon:hover {
   background-position: left -'.($height_1/2).'px'.$important_1.'; 
}
';
// Social Icon 1
if (!empty($social_icon_1) && $social_icon_1_enabled) :
$style .= '
#social_icon_1 { 
   background-image: url("'.JURI::base().$social_icon_1.'")'.$important_1.'; 
} 
';
endif;
// Social Icon 2
if (!empty($social_icon_2) && $social_icon_2_enabled) :
$style .= '
#social_icon_2 { 
   background-image: url("'.JURI::base().$social_icon_2.'")'.$important_2.'; 
} 
';
endif;
// Social Icon 3
if (!empty($social_icon_3) && $social_icon_3_enabled) :
$style .= '
#social_icon_3 { 
   background-image: url("'.JURI::base().$social_icon_3.'")'.$important_3.'; 
} 
';
endif;
// Social Icon 4
if (!empty($social_icon_4) && $social_icon_4_enabled) :
$style .= '
#social_icon_4 { 
   background-image: url("'.JURI::base().$social_icon_4.'")'.$important_4.'; 
} 
';
endif;
// Social Icon 5
if (!empty($social_icon_5) && $social_icon_5_enabled) :
$style .= '
#social_icon_5 { 
   background-image: url("'.JURI::base().$social_icon_5.'")'.$important_5.'; 
} 
';
endif;
// Social Icon 6
if (!empty($social_icon_6) && $social_icon_6_enabled) :
$style .= '
#social_icon_6 { 
   background-image: url("'.JURI::base().$social_icon_6.'")'.$important_6.'; 
} 
';
endif;
$style .= '
/* END: mod_bt_social_icons css code */'."\n\n";
$document->addStyleDeclaration($style);

// Display Social Icons
$html  = '';
if (
(!empty($social_icon_1) && $social_icon_1_enabled) || 
(!empty($social_icon_2) && $social_icon_2_enabled)
) :
	$html .= '<div class="bt_social_icons">';
	$html .= (!empty($social_icon_1) && $social_icon_1_enabled) ? '   <a href="'.$social_link_1.'" class="bt_social_icon" id="social_icon_1"'.(!empty($link_target) ? ' target="'.$link_target.'"' : '').'></a>' : '';
	$html .= (!empty($social_icon_2) && $social_icon_2_enabled) ? '   <a href="'.$social_link_2.'" class="bt_social_icon" id="social_icon_2"'.(!empty($link_target) ? ' target="'.$link_target.'"' : '').'></a>' : '';
	$html .= (!empty($social_icon_3) && $social_icon_3_enabled) ? '   <a href="'.$social_link_3.'" class="bt_social_icon" id="social_icon_3"'.(!empty($link_target) ? ' target="'.$link_target.'"' : '').'></a>' : '';
	$html .= (!empty($social_icon_4) && $social_icon_4_enabled) ? '   <a href="'.$social_link_4.'" class="bt_social_icon" id="social_icon_4"'.(!empty($link_target) ? ' target="'.$link_target.'"' : '').'></a>' : '';
	$html .= (!empty($social_icon_5) && $social_icon_5_enabled) ? '   <a href="'.$social_link_5.'" class="bt_social_icon" id="social_icon_5"'.(!empty($link_target) ? ' target="'.$link_target.'"' : '').'></a>' : '';
	$html .= (!empty($social_icon_6) && $social_icon_6_enabled) ? '   <a href="'.$social_link_6.'" class="bt_social_icon" id="social_icon_6"'.(!empty($link_target) ? ' target="'.$link_target.'"' : '').'></a>' : '';
	$html .= '</div>';
else:
	$html .= '<em>Upload one social icon at least. :)</em>';
endif;
echo $html;