<?php
/*---------------------------------------------------------
# BT Bodyworx - Joomla! Template
# ---------------------------------------------------------
# For Joomla! 2.5
# Copyright (C) 2007-2013 BonusThemes.com. All rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Demo: http://www.bonusthemes.com/demo/?template=bodyworx
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */
defined( '_JEXEC' ) or die( 'Restricted access' ); 

$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();
?><!DOCTYPE html>
<html lang="<?php echo $this->language; ?>"<?php echo ($bt->lang_type == 'RTL') ? ' dir="rtl"' : '';?>>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
<jdoc:include type="head" />

<?php
// JS details 
jimport('joomla.environment.uri');
$host = JURI::root();
$document = JFactory::getDocument();
// jQuery v@1.6.4 jquery.com
$document->addScript('templates/bt_bodyworx/helpers/assets/js/jquery.min.1.6.4.js'); 
$document->addScript('templates/bt_bodyworx/helpers/assets/js/jquery.skin_switcher.noconflict.js'); 
// for css skins switcher via ajax
$document->addScript('templates/bt_bodyworx/helpers/assets/js/bt_jquery.cookie.js');
$jquery_code = "";
$jquery_code .= "\n\n";
$jquery_code .= "<!-- BEGIN: BT Skin Switcher -->\n";
$jquery_code .= "jQuery_1_6_4(function(){";

$jquery_code .= "\n\njQuery_1_6_4('#change-skin-cornsilk').click(function(e){
   e.preventDefault();
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", null);
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", \"cornsilk\", { });
   jQuery_1_6_4('#skin').attr('href', '".$host."templates/bt_bodyworx/css/skins/cornsilk".(($bt->lang_type == "RTL") ? "_rtl" : "").".css');
   }); \n"; 
$jquery_code .= "\n\njQuery_1_6_4('#change-skin-teal').click(function(e){
   e.preventDefault();
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", null);
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", \"teal\", { });
   jQuery_1_6_4('#skin').attr('href', '".$host."templates/bt_bodyworx/css/skins/teal".(($bt->lang_type == "RTL") ? "_rtl" : "").".css');
   }); \n"; 
$jquery_code .= "\n\njQuery_1_6_4('#change-skin-slateblue').click(function(e){
   e.preventDefault();
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", null);
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", \"slateblue\", { });
   jQuery_1_6_4('#skin').attr('href', '".$host."templates/bt_bodyworx/css/skins/slateblue".(($bt->lang_type == "RTL") ? "_rtl" : "").".css');
   }); \n"; 
$jquery_code .= "\n\njQuery_1_6_4('#change-skin-ochre').click(function(e){
   e.preventDefault();
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", null);
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", \"ochre\", { });
   jQuery_1_6_4('#skin').attr('href', '".$host."templates/bt_bodyworx/css/skins/ochre".(($bt->lang_type == "RTL") ? "_rtl" : "").".css');
   }); \n"; 
$jquery_code .= "\n\njQuery_1_6_4('#change-skin-palemauve').click(function(e){
   e.preventDefault();
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", null);
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", \"palemauve\", { });
   jQuery_1_6_4('#skin').attr('href', '".$host."templates/bt_bodyworx/css/skins/palemauve".(($bt->lang_type == "RTL") ? "_rtl" : "").".css');
   }); \n"; 
$jquery_code .= "\n\njQuery_1_6_4('#change-skin-pinkorange').click(function(e){
   e.preventDefault();
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", null);
   jQuery_1_6_4.cookie(\"bt_cookie_skin\", \"pinkorange\", { });
   jQuery_1_6_4('#skin').attr('href', '".$host."templates/bt_bodyworx/css/skins/pinkorange".(($bt->lang_type == "RTL") ? "_rtl" : "").".css');
   }); \n"; 
$jquery_code .= "\n});";
$jquery_code .= "\n<!-- END: BT Skin Switcher -->";
$jquery_code .= "\n\n";
$document->addScriptDeclaration($jquery_code);
?>

<?php
// Google Fonts
echo $bt->getGoogleFonts();
?>

<!-- BOOTSTRAP CSS-->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/css/bootstrap.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/css/bootstrap-responsive.css" type="text/css" />

<!-- DEFAULT CSS -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/assets/css/bt_responsive.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/template<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/joomla<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/mstyles<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/menu/css<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/typography<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/sliders<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/custom<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/layout<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />

<!-- K2 CSS-->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/k2_style<?php echo (($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />

<!-- SKIN CSS-->
<link rel="stylesheet" id="skin" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/skins/<?php echo $bt->skin.(($bt->lang_type == "RTL") ? "_rtl" : ""); ?>.css" type="text/css" />

<!-- HTML5 shim for IE backwards compatibility -->
<!--[if lt IE 9]>
<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
</head>
<body>

<?php if ($this->countModules('logo') || $this->countModules('menu') || $this->countModules('search')): ?>
   <div class="row-fluid bt_nav_area_outer<?php echo (!$this->countModules('slideshow')) ? ' bt_nav_separator' : ''; ?>">
      <div class="container bt_nav_area_inner">
         <?php echo $bt->getModulePosition($this, array('logo'=>'span2', 'menu'=>'span7', 'search'=>'span3')); ?>
      </div>
   </div>
<?php endif; ?>

<?php if ($this->countModules('slideshow')) : ?>
   <div class="row-fluid bt_slideshow_area_outer">
      <div class="bt_slideshow_area_inner">
         <?php echo $bt->getModulePosition($this, array('slideshow'=>'span12')); ?>
      </div>
   </div>
<?php endif; ?>

<?php echo (!$this->countModules('slideshow')) ? '<div class="bt_main_without_slideshow">' : ''; ?>
<?php if ($this->countModules('top1') || $this->countModules('top2') || $this->countModules('top3')): ?>
   <div class="row-fluid bt_top_area_outer">
      <div class="container bt_top_area_inner">
         <?php echo $bt->getModulePosition($this, array('top1'=>'span4', 'top2'=>'span4', 'top3'=>'span4')); ?>
      </div>
   </div>
<?php endif; ?>

<?php if ($this->countModules('banner1') || $this->countModules('banner2')): ?>
   <div class="row-fluid bt_banner_area_outer">
      <div class="container bt_banner_area_inner">
         <?php echo $bt->getModulePosition($this, array('banner1'=>'span4', 'banner2'=>'span8')); ?>
      </div>
   </div>
<?php endif; ?>

<div class="row-fluid bt_main_area_outer">
   <div class="container bt_main_area_inner">
      <?php echo $bt->getModulePosition($this, array('left'=>'span4', 'mainbody'=>'span4', 'right'=>'span4'), '', '', array("breadcrumbs"), array("notice")); ?>
   </div>
</div>
<?php echo (!$this->countModules('slideshow')) ? '</div>' : ''; ?>

<?php if ($this->countModules('bottom1') || $this->countModules('bottom2')): ?>
   <div class="row-fluid bt_bottom_area_outer">
      <div class="container bt_bottom_area_inner">
         <?php echo $bt->getModulePosition($this, array('bottom1'=>'span8', 'bottom2'=>'span4')); ?>
      </div>
   </div>
<?php endif; ?>

<?php if ($this->countModules('footer1') || $this->countModules('footer2') || $this->countModules('footer3')): ?>
   <div class="row-fluid bt_footer_area_outer">
      <div class="container bt_footer_area_inner">
         <?php echo $bt->getModulePosition($this, array('footer1'=>'span1', 'footer2'=>'span7', 'footer3'=>'span4')); ?>
      </div>
   </div>
<?php endif; ?>

<!-- BEGIN: Expanding search -->
<script src="templates/<?php echo $this->template; ?>/html/mod_search/assets/expanding_search/js/classie.js"></script>
<script src="templates/<?php echo $this->template; ?>/html/mod_search/assets/expanding_search/js/uisearch.js"></script>
<script>new UISearch( document.getElementById( 'sb-search' ) );</script>
<!-- END: Expanding search --> 
<!-- Bootstrap Javascript -->
<script src="http://code.jquery.com/jquery-latest.js"></script>
<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/js/bootstrap.min.js"></script>

<?php if ($bt->display_skin_switcher) : ?>
<!-- BEGIN: Color Skin Switcher -->
<div id="bt_skin_switcher" class="bt_skin_switcher visible-desktop">
  <a class="bt_handle" href="index.php?option=com_btdemo&amp;view=skins">Skins</a>
  <a class="change_skin_icon" id="change-skin-cornsilk" href=""></a> 
  <a class="change_skin_icon" id="change-skin-teal" href=""></a> 
  <a class="change_skin_icon" id="change-skin-slateblue" href=""></a> 
  <a class="change_skin_icon" id="change-skin-ochre" href=""></a> 
  <a class="change_skin_icon" id="change-skin-palemauve" href=""></a> 
  <a class="change_skin_icon" id="change-skin-pinkorange" href=""></a> 
</div>

<script src="templates/bt_bodyworx/helpers/assets/js/jquery.min.1.3.2.js" type="text/javascript"></script>
<script src="templates/bt_bodyworx/helpers/assets/js/jquery.tabSlideOut.v1.3.js" type="text/javascript"></script>
<script type="text/javascript">
var jQuery_1_3 = $.noConflict(true);
jQuery_1_3(function(){
  jQuery_1_3('.bt_skin_switcher').tabSlideOut({
    tabHandle: '.bt_handle',
    pathToTabImage: '<?php echo JURI::base(); ?>images/bt/skin_switcher_tab.png',
    imageHeight: '148px',
    imageWidth: '46px',
    tabLocation: '<?php echo ($bt->lang_type == 'RTL') ? 'right' : 'left'; ?>',
    speed: 200,
    action: 'click',
    topPos: '400px',
    leftPos: '20px',
    fixedPosition: false
  });
});
</script>
<!-- END: Color Skin Switcher -->
<?php endif; ?>

<!-- BEGIN: Responsive Menu -->
<script src="templates/bt_bodyworx/helpers/assets/js/jquery.dlmenu.js"></script>
<script>
   jQuery(function() {
      jQuery( "#dl-menu" ).dlmenu();
   });
</script>
<!-- END: Responsive Menu -->

<?php
// BEGIN: Debug
echo $bt->getDebug();
// END: Debug
?>
</body>
</html>