<?php
/*---------------------------------------------------------
# BT Demo - Joomla! Component
# ---------------------------------------------------------
# For Joomla! 2.5 & Joomla! 3.x
# Copyright (C) 2007-2013 BonusThemes.com. typography rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */

defined( '_JEXEC' ) or die( 'Restricted access' );

function getSkinNameForLink($name) {
	$skin_name = str_replace(' ', '', strtolower($name));
	$link = './?skin='.$skin_name.'';
	return $link;
}

// Get Component Params
$component = JComponentHelper::getComponent('com_btdemo');
$params = JComponentHelper::getParams('com_btdemo');

$skin1_screenshot = $params->get('skin1');
$skin1_name = $params->get('skin1_name');
$skin1_short = getSkinNameForLink($skin1_name);

$skin2_screenshot = $params->get('skin2');
$skin2_name = $params->get('skin2_name');
$skin2_short = getSkinNameForLink($skin2_name);

$skin3_screenshot = $params->get('skin3');
$skin3_name = $params->get('skin3_name');
$skin3_short = getSkinNameForLink($skin3_name);

$skin4_screenshot = $params->get('skin4');
$skin4_name = $params->get('skin4_name');
$skin4_short = getSkinNameForLink($skin4_name);

$skin5_screenshot = $params->get('skin5');
$skin5_name = $params->get('skin5_name');
$skin5_short = getSkinNameForLink($skin5_name);

$skin6_screenshot = $params->get('skin6');
$skin6_name = $params->get('skin6_name');
$skin6_short = getSkinNameForLink($skin6_name);

$skin7_screenshot = $params->get('skin7');
$skin7_name = $params->get('skin7_name');
$skin7_short = getSkinNameForLink($skin7_name);

$skin8_screenshot = $params->get('skin8');
$skin8_name = $params->get('skin8_name');
$skin8_short = getSkinNameForLink($skin8_name);

$skin9_screenshot = $params->get('skin9');
$skin9_name = $params->get('skin9_name');
$skin9_short = getSkinNameForLink($skin9_name);
?>

<div class="item-page_top_bg"></div>
<div class="item-page">
<h3>Color Skins</h3>

<p>Please click on the image to load a live example of each style variation.</p>

<?php if (!empty($skin1_screenshot)): ?>
    <div class="row-fluid">
        
        <?php if (!empty($skin1_screenshot) && (!empty($skin1_name))): ?>
            <div class="span4" style="text-align:center;margin-top:20px; margin-bottom: 50px">
                <a href="<?php echo $skin1_short; ?>"><h5><?php echo $skin1_name; ?></h5></a>
                <a href="<?php echo $skin1_short; ?>"><img src="<?php echo $skin1_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
    
        <?php if (!empty($skin2_screenshot) && (!empty($skin2_name))): ?>
            <div class="span4" style="text-align:center;margin-top:20px; margin-bottom: 50px">
                <a href="<?php echo $skin2_short; ?>"><h5><?php echo $skin2_name; ?></h5></a>
                <a href="<?php echo $skin2_short; ?>"><img src="<?php echo $skin2_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
    
        <?php if (!empty($skin3_screenshot) && (!empty($skin3_name))): ?>
            <div class="span4" style="text-align:center;margin-top:20px; margin-bottom: 50px">
                <a href="<?php echo $skin3_short; ?>"><h5><?php echo $skin3_name; ?></h5></a>
                <a href="<?php echo $skin3_short; ?>"><img src="<?php echo $skin3_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
        
    </div>
    
    <?php if (!empty($skin4_screenshot)): ?>
    <div class="row-fluid">
        
        <?php if (!empty($skin4_screenshot) && (!empty($skin4_name))): ?>
            <div class="span4" style="text-align:center;margin-bottom:50px">
                <a href="<?php echo $skin4_short; ?>"><h5><?php echo $skin4_name; ?></h5></a>
                <a href="<?php echo $skin4_short; ?>"><img src="<?php echo $skin4_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
    
        <?php if (!empty($skin5_screenshot) && (!empty($skin5_name))): ?>
            <div class="span4" style="text-align:center;margin-bottom:50px">
                <a href="<?php echo $skin5_short; ?>"><h5><?php echo $skin5_name; ?></h5></a>
                <a href="<?php echo $skin5_short; ?>"><img src="<?php echo $skin5_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
    
        <?php if (!empty($skin6_screenshot) && (!empty($skin6_name))): ?>
            <div class="span4" style="text-align:center;margin-bottom:50px">
                <a href="<?php echo $skin6_short; ?>"><h5><?php echo $skin6_name; ?></h5></a>
                <a href="<?php echo $skin6_short; ?>"><img src="<?php echo $skin6_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
        
    </div>
    <?php endif; ?>
    
    <?php if (!empty($skin7_screenshot) && (!empty($skin7_name))): ?>
    <div class="row-fluid">
        
        <?php if (!empty($skin7_screenshot) && (!empty($skin7_name))): ?>
            <div class="span4" style="text-align:center;margin-bottom:50px">
                <a href="<?php echo $skin7_short; ?>"><h5><?php echo $skin7_name; ?></h5></a>
                <a href="<?php echo $skin7_short; ?>"><img src="<?php echo $skin7_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
    
        <?php if (!empty($skin8_screenshot) && (!empty($skin8_name))): ?>
            <div class="span4" style="text-align:center;margin-bottom:50px">
                <a href="<?php echo $skin8_short; ?>"><h5><?php echo $skin8_name; ?></h5></a>
                <a href="<?php echo $skin8_short; ?>"><img src="<?php echo $skin8_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
    
        <?php if (!empty($skin9_screenshot) && (!empty($skin9_name))): ?>
            <div class="span4" style="text-align:center;margin-bottom:50px">
                <a href="<?php echo $skin9_short; ?>"><h5><?php echo $skin9_name; ?></h5></a>
                <a href="<?php echo $skin9_short; ?>"><img src="<?php echo $skin9_screenshot; ?>" /></a>
            </div>
        <?php endif; ?>
        
    </div>
    <?php endif ;?>

<?php else: ?>
	<p><strong style="color:red">There isn't any skin color available yet!</strong></p>
<?php endif; ?>

</div><!-- ends .item-page -->
