<?php
/*---------------------------------------------------------
# BT Demo - Joomla! Component
# ---------------------------------------------------------
# For Joomla! 2.5 & Joomla! 3.x
# Copyright (C) 2007-2013 BonusThemes.com. typography rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */

defined( '_JEXEC' ) or die( 'Restricted access' );

//get the hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
 
//add the links to the external files into the head of the webpage (note the 'administrator' in the path, which is not nescessary if you are in the frontend)
$document = JFactory::getDocument();
$document->addStyleSheet($host.'components/com_btdemo/views/typography/tmpl/typography.css');
?>

<div class="bt_typography">

  <header class="row-fluid"><h3 class="span12">Typography</h3></header>
  <!-- BEGIN: Menu -->
  <div class="row-fluid">
    <div class="span3">
      <ul>
        <li><a href="#headings">Headings</a></li>
        <li><a href="#list_styles">List styles</a></li>
        <li><a href="#form">Form States &amp; Alerts</a></li>
      </ul>
    </div><!--.span3-->
    
    <div class="span3">
      <ul>
        <li><a href="#blockquote">Blockquote</a></li>
        <li><a href="#message_boxes_with_icons">Message Boxes with Icons</a><a href="#codes"></a></li>
        <li><a href="#dropcaps">Dropcaps</a><a href="#forms"></a></li>
      </ul>
    </div><!--.span3-->
    
    <div class="span3">
      <ul>
        <li><a href="#highlights">Highlights</a></li>
        <li><a href="#codes">Codes</a></li>
        <li><a href="#form">Tables</a></li>
      </ul>
    </div><!--.span3-->
    
    <div class="span3">
      <ul class="bt_arrow_list-3">
        <li><a href="#buttons">Buttons</a></li>
        <li> <a href="#icon_tips">Icon Tips</a></li>
        <li><a href="#bubbles">Bubbles</a></li>
      </ul>
    </div><!--.span3-->
  </div><!--.row-->
  <!-- END: Menu -->

  <!-- BEGIN: Headings -->
  <header class="row-fluid"><h3 class="span12" id="headings">Headings</h3></header>
  <div class="row-fluid">
    <div class="span12">
      <h1>H1: Sample Heading 1.</h1>
      <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy.</p>

      <h2>H2: Sample Heading 2.</h2>
      <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy.</p>

      <h3>H3: Sample Heading 3.</h3>
      <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy.</p>

      <h4>H4: Sample Heading 4.</h4>
      <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy.</p>

      <h5>H5: Sample Heading 5.</h5>
      <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy.</p>

      <h6>H6: Sample Heading 6.</h6>
      <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy.</p>
    </div><!--.span12-->
  </div><!--.row-fluid-->
  <!-- END: Headings -->

  <!-- BEGIN: List styles -->
  <header class="row-fluid"><h3 class="span12" id="list_styles">List styles<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
  
    <div class="span4">
      <div class="bt_head">ORDERED LIST</div>
      <div class="bt_howto"><p>This is a sample Ordered List.</p>
      <p><strong>For use: &lt;ol&gt;&lt;li&gt;text goes here&lt;/li&gt;&lt;/ol&gt;</strong></p></div>
         <ol>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
         </ol>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">UNORDERED LIST</div>
      <div class="bt_howto"><p>This is a sample Unordered List.</p>
         <p><strong>For use: &lt;ul&gt;&lt;li&gt;text goes here&lt;/li&gt;&lt;/ul&gt;</strong></p>
      </div>
         <ul>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">UNSTYLED LIST</div>
      <div class="bt_howto"><p>This is a sample Unstyled List.</p>
      <p><strong>For use: &lt;ul class=&quot;unstyled&quot;&gt;&lt;li&gt;text goes here&lt;/li&gt;&lt;/ul&gt;</strong></p>
      </div>
         <ul class="unstyled">
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
            <li>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->
    
  </div><!--.row-fluid-->

  <div class="row-fluid bt_row">
    <div class="span4">
      <div class="bt_head">icon-adjust</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-adjust&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-adjust"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-adjust"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-adjust"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-adjust"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-stop</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-stop&quot;&gt;&lt;/i&gt;&lt;/li&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-stop"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-stop"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-stop"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-stop"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-ok</div>
      <div class="bt_howto">
      <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-ok&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-ok"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-ok"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-ok"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-ok"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->
  </div><!--.row-fluid-->
  
  <div class="row-fluid bt_row">
    <div class="span4">
      <div class="bt_head">icon-arrow-right</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-arrow-right&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-arrow-right"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-arrow-right"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-arrow-right"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-arrow-right"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-star</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-star&quot;&gt;&lt;/i&gt;&lt;/li&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-star"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-star"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-star"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-star"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-leaf</div>
      <div class="bt_howto">
      <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-leaf&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-leaf"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-leaf"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-leaf"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-leaf"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->
  </div><!--.row-fluid-->

  <div class="row-fluid bt_row">
    <div class="span4">
      <div class="bt_head">icon-pause</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-pause&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-pause"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-pause"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-pause"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-pause"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-tag</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-tag&quot;&gt;&lt;/i&gt;&lt;/li&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-tag"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-tag"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-tag"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-tag"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-file</div>
      <div class="bt_howto">
      <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-file&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-file"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-file"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-file"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-file"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->
  </div><!--.row-fluid-->

  <div class="row-fluid bt_row">
    <div class="span4">
      <div class="bt_head">icon-bookmark</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-bookmark&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-bookmark"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-bookmark"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-bookmark"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-bookmark"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-chevron-right</div>
      <div class="bt_howto">
         <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-chevron-right&quot;&gt;&lt;/i&gt;&lt;/li&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-chevron-right"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-chevron-right"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-chevron-right"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-chevron-right"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->

    <div class="span4">
      <div class="bt_head">icon-check</div>
      <div class="bt_howto">
      <p>This is a sample Icon List.</p>
      <p><strong>For use: &lt;ul class=&quot;nav&quot;&gt;&lt;li&gt;&lt;i class=&quot;icon-check&quot;&gt;&lt;/i&gt;&lt;/li&gt;&lt;/ul&gt;</strong></p></div>
         <ul class="nav">
            <li><i class="icon-check"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-check"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-check"></i>Lorem ipsum dolor sit amet consectetur</li>
            <li><i class="icon-check"></i>Lorem ipsum dolor sit amet consectetur</li>
         </ul>
    </div><!--.span4-->
  </div><!--.row-fluid-->
  <!-- END: List styles -->

  <!-- BEGIN: Blockquote -->
  <header class="row-fluid"><h3 class="span12" id="blockquote">Blockquote<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid">
    <div class="span12">
      <div class="bt_howto">
        <p>This is a sample Blockquote.</p>
        <p><strong>For use: &lt;blockquote&gt;&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;&lt;/blockquote&gt;</strong></p>
      </div>
      <blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p></blockquote>
    </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span12">
      <div class="bt_howto">
        <p>This is another sample Blockquote with source title.</p>
        <p><strong>For use: &lt;blockquote&gt;&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;&lt;small&gt;Someone famous &lt;cite title=&quot;Source Title&quot;&gt;Source Title&lt;/cite&gt;&lt;/small&gt;&lt;/blockquote&gt;</strong></p>
      </div>
      <blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p><small>Someone famous <cite title="Source Title">Source Title</cite></small></blockquote>
    </div><!--.span12-->
  </div><!--.row-fluid-->
  <!-- END: Blockquote -->

  <!-- BEGIN: Message Boxes with Icons -->
  <header class="row-fluid"><h3 class="span12" id="message_boxes_with_icons">Message Boxes with Icons<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
    <div class="span6">
         <p class="bt_box_message message_box_img-1">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-1&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
    <div class="span6">
         <p class="bt_box_message message_box_img-2">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-2&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <div class="row-fluid bt_row">
    <div class="span6">
         <p class="bt_box_message message_box_img-3">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-3&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
    <div class="span6">
         <p class="bt_box_message message_box_img-4">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-4&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <div class="row-fluid bt_row">
    <div class="span6">
         <p class="bt_box_message message_box_img-5">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-5&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
    <div class="span6">
         <p class="bt_box_message message_box_img-6">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-6&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <div class="row-fluid bt_row">
    <div class="span6">
         <p class="bt_box_message message_box_img-7">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-7&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
    <div class="span6">
         <p class="bt_box_message message_box_img-8">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-8&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <div class="row-fluid bt_row">
    <div class="span6">
         <p class="bt_box_message message_box_img-9">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-9&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
    <div class="span6">
         <p class="bt_box_message message_box_img-10">
           <strong class="bt_howto">For use: &lt;p class=&quot;bt_box_message message_box_img-10&quot;&gt;Your text goes here...&lt;/p&gt;</strong><br /><br />
           Nulla scelerisque, sem a rhoncus pharetra, urna urna rhoncus quam, a condimentum tellus dui nec elit. Ut eu vehicula nulla. Donec adipiscing orci id quam scelerisque hendrerit.</p>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <!-- END: Message Boxes with Icons -->

  <!-- BEGIN: Dropcaps -->
  <header class="row-fluid"><h3 class="span12" id="dropcaps">Dropcaps<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
    <div class="span6">
      <div class="bt_howto"><strong>For use: &lt;div class=&quot;bt_dropcap-1&quot;&gt;&lt;span&gt;T&lt;/span&gt;&lt;p&gt;your text goes here...&lt;/p&gt;&lt;/div&gt;</strong></div>
      <div class="bt_dropcap-1"><span>T</span><p>Cras interdum, massa id tristique venenatis, est neque dignissim dui, in tempor dolor metus vitae tortor. Etiam ornare velit sed vestibulum accumsan. Morbi ac malesuada sem. Sed tincidunt nisi sit amet aerdum, massa id tristique venenatis, est neque dignissim dui.</p></div>
    </div><!--.span6-->
    <div class="span6">
      <div class="bt_howto"><strong>For use: &lt;div class=&quot;bt_dropcap-1&quot;&gt;&lt;span&gt;T&lt;/span&gt;&lt;p&gt;your text goes here...&lt;/p&gt;&lt;/div&gt;</strong></div>
      <div class="bt_dropcap-1"><span>The</span>
         <p>Cras interdum, massa id tristique venenatis, est neque dignissim dui, in tempor dolor metus vitae tortor. Etiam ornare velit sed vestibulum accumsan. Morbi ac malesuada sem. Sed tincidunt nisi sit amet aerdum, massa id tristique venenatis, est neque dignissim dui.</p></div>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <div class="row-fluid bt_row">
    <div class="span6">
      <div class="bt_howto"><strong>For use: &lt;div class=&quot;bt_dropcap-2&quot;&gt;&lt;span&gt;T&lt;/span&gt;&lt;p&gt;your text goes here...&lt;/p&gt;&lt;/div&gt;</strong></div>
      <div class="bt_dropcap-2"><span>T</span><p>Cras interdum, massa id tristique venenatis, est neque dignissim dui, in tempor dolor metus vitae tortor. Etiam ornare velit sed vestibulum accumsan. Morbi ac malesuada sem. Sed tincidunt nisi sit amet aerdum, massa id tristique venenatis, est neque dignissim dui.</p></div>
    </div><!--.span6-->
    <div class="span6">
      <div class="bt_howto"><strong>For use: &lt;div class=&quot;bt_dropcap-3&quot;&gt;&lt;span&gt;T&lt;/span&gt;&lt;p&gt;your text goes here...&lt;/p&gt;&lt;/div&gt;</strong></div>
      <div class="bt_dropcap-3"><span>T</span><p>Cras interdum, massa id tristique venenatis, est neque dignissim dui, in tempor dolor metus vitae tortor. Etiam ornare velit sed vestibulum accumsan. Morbi ac malesuada sem. Sed tincidunt nisi sit amet aerdum, massa id tristique venenatis, est neque dignissim dui.</p></div>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <!-- END: Dropcaps -->

  <br />

  <!-- BEGIN: Highlights -->
  <header class="row-fluid"><h3 class="span12" id="highlights">Highlights<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
    <div class="span12">
    	<p class="bt_highlight">This is a <span class="bt_highlight-1">highlight phrase</span> <strong class="bt_howto">For use: &lt;p&gt;This is a &lt;span class="bt_highlight-1"&gt;highlight phrase&lt;/span&gt;&lt;/p&gt;</strong></p>
    	<p class="bt_highlight">This is a <span class="bt_highlight-2">highlight phrase</span> <strong class="bt_howto">For use: &lt;p&gt;This is a &lt;span class="bt_highlight-2"&gt;highlight phrase&lt;/span&gt;&lt;/p&gt;</strong></p>
    	<p class="bt_highlight">This is a <span class="bt_highlight-3">highlight phrase</span> <strong class="bt_howto">For use: &lt;p&gt;This is a &lt;span class="bt_highlight-3"&gt;highlight phrase&lt;/span&gt;&lt;/p&gt;</strong></p>
    </div>
  </div>
  <!-- END: Highlights -->

  <!-- BEGIN: Codes  -->
  <header class="row-fluid"><h3 class="span12" id="codes">Codes<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
    <div class="span6">
         <pre class="bt_code-1"><strong class="bt_howto">For use: &lt;pre class=&quot;bt_code-1&quot;&gt;Your code goes here...&lt;/pre&gt;</strong>
.bt_code_example { 
   background: #000; 
   color: #fff 
   display: inline-block; 
}</pre>
    </div><!--.span6-->
    <div class="span6">
         <pre class="bt_code-2"><strong class="bt_howto">For use: &lt;pre class=&quot;bt_code-2&quot;&gt;Your code goes here...&lt;/pre&gt;</strong>
.bt_code_example { 
   background: #fff; 
   color: #000 
   font-weight: bold; 
}</pre>
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <!-- END: Codes  -->
  
  <br />
  
  <!-- BEGIN: Form and Form States  -->
  <header class="row-fluid">
     <h3 class="span12" id="form">Form States &amp; Alerts<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
  
    <div class="span6">
        <div class="page-header">
            <h3>Form</h3>
        </div>
        
        <form class="form-horizontal" action="index.php?option=com_btdemo&view=typography&Itemid=319#form">
            <fieldset>
                <div class="control-group">
                    <label for="input01" class="control-label">Text input</label>
                    <div class="controls">
                      <input type="text" id="input01" class="span6">
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label">Readonly input</label>
                    <div class="controls">
                      <span class="uneditable-input">Chauhan..</span>
                    </div>
                </div>
                <div class="control-group">
                    <label for="disabledInput" class="control-label">Disabled input</label>
                    <div class="controls">
                      <input type="text" disabled="" placeholder="Apurav..." id="disabledInput" class="span6 disabled">
                    </div>
               </div>
               <div class="control-group">
                <label for="optionsCheckbox2" class="control-label">Checkboxes</label>
                <div class="controls">
                  <label class="checkbox inline">
                    <input type="checkbox" value="option1" id="optionsCheckbox2">
                    Normal
                  </label>
                  <label class="checkbox inline">
                    <input type="checkbox" disabled="" value="option1" id="optionsCheckbox2">
                    Disabled
                  </label>
                </div>
               
              </div>
               <div class="control-group warning">
                <label class="control-label" for="inputWarning">Input with warning</label>
                <div class="controls">
                  <input id="inputWarning" type="text" class="span6">
                  <span class="help-inline">Warning</span>
                </div>
              </div>
              <div class="control-group error">
                <label class="control-label" for="inputError">Input with error</label>
                <div class="controls">
                  <input id="inputError" type="text" class="span6">
                  <span class="help-inline">Error text</span>
                </div>
              </div>
              <div class="control-group success">
                <label class="control-label" for="inputSuccess">Input with success</label>
                <div class="controls">
                  <input id="inputSuccess" type="text" class="span6">
                  <span class="help-inline">Woohoo!</span>
                </div>
              </div>
              <div class="control-group success">
                <label class="control-label" for="selectError">Select with success</label>
                <div class="controls">
                  <select id="selectError" class="span6">
                    <option>1</option>
                    <option>2</option>
                    <option>3</option>
                    <option>4</option>
                    <option>5</option>
                  </select>
                  <span class="help-inline">Woohoo!</span>
                </div>
              </div>
              <div class="form-actions">
              
                <input type="submit" value="submit type with .button" class="button" />
                <input type="submit" value="submit type" />
                <br /><br />
                <input type="button" value="button type" />
                <input type="reset" value="reset type" />
                <a class="button" href="#">a.button</a>
                
                <!--
                <hr />
                
                <input class="btn btn-primary" type="button" value="Save changes">
                <input class="btn" type="button" value="Cancel">
              	-->
              </div>
            </fieldset>
          </form>
          
    </div><!--span6 ends-->
    <div class="span6">
        <div class="row-fluid">
            <div class="page-header">
                <h3>Alerts</h3>
            </div>
            <div class="alert alert-block">
                <button data-dismiss="alert" class="close">×</button>
                <h4 class="alert-heading">Warning !</h4>
                <p>Best check yo self, you're not looking too good.</p>
            </div>
            <div class="alert alert-error">
                <button data-dismiss="alert" class="close">×</button>
                <strong>Oh snap!</strong> Change a few things up and try submitting again.
            </div>
            <div class="alert alert-success">
                <button data-dismiss="alert" class="close">×</button>
                <strong>Well done!</strong> You successfully read this important alert message.
            </div>
             <div class="alert alert-info">
                <button data-dismiss="alert" class="close">×</button>
                <strong>Heads up!</strong> This alert needs your attention, but it's not super important.
             </div>
             
             <div class="span6">
							<div class="page-header">
								<h3>Tables</h3>
							</div>
						
								<table class="table table-bordered table-striped">
									<thead>
									  <tr>
										<th>First Name</th>
										<th>Last Name</th>
									  </tr>
									</thead>
									<tbody>
									  <tr>
										<td>
										  Apurav
										</td>
										<td>
										 Chauhan
										</td>
									  </tr>
									  <tr>
										<td>
										  Hardev
										</td>
										<td>
										 Singh
										</td>
									  </tr>
									  <tr>
										<td>
										  Manya
										</td>
										<td>
										  Thakur
										</td>
									  </tr>
									  </tbody>
								 </table>
						</div>
                        
        </div><!--/row-fluid -->
    </div><!--span6 ends-->
  </div><!--.row-fluid-->
  <!-- END: Form and Form States  -->

  <br />

  <!-- BEGIN: Buttons -->
  <header class="row-fluid"><h3 class="span12" id="buttons">Buttons<a href="#" class="gotop">go top</a></h3></header>
  
  <div class="row-fluid">
  	 <div class="span12">
       <div class="bt_head">DEFAULT BUTTONS</div>
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary&quot;&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->
 
  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn">Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary">Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning">Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success">Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger">Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse">Inverse</a></div>
  </div><!--.row-fluid-->
  
  <br />
  
  <div class="row-fluid">
  	 <div class="span12">
       <div class="bt_head">LARGE BUTTONS</div>
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary  btn-large&quot;&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn btn-large">Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary btn-large">Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning btn-large">Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success btn-large">Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger btn-large">Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse btn-large">Inverse</a></div>
  </div><!--.row-fluid-->

  <br />
  
  <div class="row-fluid">
  	 <div class="span12">
       <div class="bt_head">SMALL BUTTONS</div>
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary btn-small&quot;&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn btn-small">Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary btn-small">Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning btn-small">Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success btn-small">Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger btn-small">Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse btn-small">Inverse</a></div>
  </div><!--.row-fluid-->

  <br />
  
  <div class="row-fluid">
  	 <div class="span12">
       <div class="bt_head">MINI BUTTONS</div>
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary btn-mini&quot;&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn btn-mini">Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary btn-mini">Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning btn-mini">Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success btn-mini">Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger btn-mini">Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse btn-mini">Inverse</a></div>
  </div><!--.row-fluid-->

  <br />
  
  <div class="row-fluid">
  	 <div class="span12">
       <div class="bt_head">ICON BUTTONS</div>
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary&quot;&gt;&lt;i class=&quot;icon-white icon-search&quot;&gt;&lt;/i&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn"><i class="icon-dark icon-search"></i>Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary"><i class="icon-white icon-search"></i>Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning"><i class="icon-white icon-search"></i>Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success"><i class="icon-white icon-search"></i>Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger"><i class="icon-white icon-search"></i>Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse"><i class="icon-white icon-search"></i>Inverse</a></div>
  </div><!--.row-fluid-->

  <div class="row-fluid">
  	 <div class="span12">
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary&quot;&gt;&lt;i class=&quot;icon-white icon-heart&quot;&gt;&lt;/i&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn"><i class="icon-dark icon-heart"></i>Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary"><i class="icon-white icon-heart"></i>Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning"><i class="icon-white icon-heart"></i>Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success"><i class="icon-white icon-heart"></i>Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger"><i class="icon-white icon-heart"></i>Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse"><i class="icon-white icon-heart"></i>Inverse</a></div>
  </div><!--.row-fluid-->
  
  <div class="row-fluid">
  	 <div class="span12">
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary&quot;&gt;&lt;i class=&quot;icon-white icon-camera&quot;&gt;&lt;/i&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn"><i class="icon-dark icon-camera"></i>Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary"><i class="icon-white icon-camera"></i>Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning"><i class="icon-white icon-camera"></i>Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success"><i class="icon-white icon-camera"></i>Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger"><i class="icon-white icon-camera"></i>Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse"><i class="icon-white icon-camera"></i>Inverse</a></div>
  </div><!--.row-fluid-->
  
  <div class="row-fluid">
  	 <div class="span12">
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: </strong>&lt;a href=&quot;#&quot; class=&quot;btn btn-primary&quot;&gt;&lt;i class=&quot;icon-white icon-refresh&quot;&gt;&lt;/i&gt;Primary&lt;/a&gt;</p>
      </div><!--.bt_howto-->
     </div><!--.span12-->
  </div><!--.row-fluid-->

  <div class="row-fluid">
    <div class="span2"><a href="#" class="btn"><i class="icon-dark icon-refresh"></i>Default</a></div>
    <div class="span2"><a href="#" class="btn btn-primary"><i class="icon-white icon-refresh"></i>Primary</a></div>
    <div class="span2"><a href="#" class="btn btn-warning"><i class="icon-white icon-refresh"></i>Warning</a></div>
    <div class="span2"><a href="#" class="btn btn-success"><i class="icon-white icon-refresh"></i>Success</a></div>
    <div class="span2"><a href="#" class="btn btn-danger"><i class="icon-white icon-refresh"></i>Danger</a></div>
    <div class="span2"><a href="#" class="btn btn-inverse"><i class="icon-white icon-refresh"></i>Inverse</a></div>
  </div><!--.row-fluid-->
  
  <br />
  
  <div class="row-fluid">
  	 <small class="span12"><i class="icon-share-alt"></i> Create your own button: <a href="http://www.plugolabs.com/twitter-bootstrap-button-generator/">Twitter Bootstrap Button Generator</a></small>
  </div> 
    
  <!-- END: Buttons -->
  
  <br />

  <!-- BEGIN: Icon Tips -->
  <header class="row-fluid"><h3 class="span12" id="icon_tips">Icon Tips<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
    <div class="span12">
      <div class="bt_head">Icons by Glyphicons</div>
      <div class="bt_howto">
         <p><strong class="bt_howto">For use: &lt;p&gt;&lt;i class=&quot;icon-name&quot;&gt;&lt;/i&gt;Your text goes here</strong>&lt;/p&gt;</p>
      </div><!--.bt_howto-->
    </div><!--.span3-->
  </div><!--.row-fluid-->
 
  <br />

  <div class="row-fluid bt_row">
    <div class="span3">
      <p><i class="icon-glass"></i>icon-glass</p>
      <p><i class="icon-heart"></i>icon-heart</p>
      <p><i class="icon-film"></i>icon-film</p>
      <p><i class="icon-ok"></i>icon-ok</p>
      <p><i class="icon-off"></i>icon-off</p>
      <p><i class="icon-home"></i>icon-home</p>
      <p><i class="icon-download-alt"></i>icon-download-alt</p>
      <p><i class="icon-play-circle"></i>icon-play-circle</p>
      <p><i class="icon-lock"></i>icon-lock</p>
      <p><i class="icon-volume-down"></i>icon-volume-down</p>
      <p><i class="icon-tag"></i>icon-tag</p>
      <p><i class="icon-print"></i>icon-print</p>
      <p><i class="icon-italic"></i>icon-italic</p>
      <p><i class="icon-align-center"></i>icon-align-center</p>
      <p><i class="icon-indent-left"></i>icon-indent-left</p>
      <p><i class="icon-pencil"></i>icon-pencil</p>
      <p><i class="icon-edit"></i>icon-edit</p>
      <p><i class="icon-step-backward"></i>icon-step-backward</p>
      <p><i class="icon-pause"></i>icon-pause</p>
      <p><i class="icon-step-forward"></i>icon-step-forward</p>
      <p><i class="icon-plus-sign"></i>icon-plus-sign</p>
      <p><i class="icon-question-sign"></i>icon-question-sign</p>
      <p><i class="icon-ok-circle"></i>icon-ok-circle</p>
      <p><i class="icon-arrow-up"></i>icon-arrow-up</p>
      <p><i class="icon-resize-small"></i>icon-resize-small</p>
      <p><i class="icon-exclamation-sign"></i>icon-exclamation-sign</p>
      <p><i class="icon-eye-open"></i>icon-eye-open</p>
      <p><i class="icon-calendar"></i>icon-calendar</p>
      <p><i class="icon-chevron-up"></i>icon-chevron-up</p>
      <p><i class="icon-folder-close"></i>icon-folder-close</p>
      <p><i class="icon-hdd"></i>icon-hdd</p>
      <p><i class="icon-thumbs-up"></i>icon-thumbs-up</p>
      <p><i class="icon-hand-up"></i>icon-hand-up</p>
      <p><i class="icon-circle-arrow-up"></i>icon-circle-arrow-up</p>
      <p><i class="icon-tasks"></i>icon-tasks</p>
    </div>
    <!--.span3-->
    <div class="span3">
      <p><i class="icon-music"></i>icon-music</p>
      <p><i class="icon-star"></i>icon-star</p>
      <p><i class="icon-th-large"></i>icon-th-large</p>
      <p><i class="icon-remove"></i>icon-remove</p>
      <p><i class="icon-signal"></i>icon-signal</p>
      <p><i class="icon-file"></i>icon-file</p>
      <p><i class="icon-download"></i>icon-download</p>
      <p><i class="icon-repeat"></i>icon-repeat</p>
      <p><i class="icon-flag"></i>icon-flag</p>
      <p><i class="icon-volume-up"></i>icon-volume-up</p>
      <p><i class="icon-tags"></i>icon-tags</p>
      <p><i class="icon-camera"></i>icon-camera</p>
      <p><i class="icon-text-height"></i>icon-text-height</p>
      <p><i class="icon-align-right"></i>icon-align-right</p>
      <p><i class="icon-indent-right"></i>icon-indent-right</p>
      <p><i class="icon-map-marker"></i>icon-map-marker</p>
      <p><i class="icon-share"></i>icon-share</p>
      <p><i class="icon-fast-backward"></i>icon-fast-backward</p>
      <p><i class="icon-stop"></i>icon-stop</p>
      <p><i class="icon-eject"></i>icon-eject</p>
      <p><i class="icon-minus-sign"></i>icon-minus-sign</p>
      <p><i class="icon-info-sign"></i>icon-info-sign</p>
      <p><i class="icon-ban-circle"></i>icon-ban-circle</p>
      <p><i class="icon-arrow-down"></i>icon-arrow-down</p>
      <p><i class="icon-plus"></i>icon-plus</p>
      <p><i class="icon-gift"></i>icon-gift</p>
      <p><i class="icon-eye-close"></i>icon-eye-close</p>
      <p><i class="icon-random"></i>icon-random</p>
      <p><i class="icon-chevron-down"></i>icon-chevron-down</p>
      <p><i class="icon-folder-open"></i>icon-folder-open</p>
      <p><i class="icon-bullhorn"></i>icon-bullhorn</p>
      <p><i class="icon-thumbs-down"></i>icon-thumbs-down</p>
      <p><i class="icon-hand-down"></i>icon-hand-down</p>
      <p><i class="icon-circle-arrow-down"></i>icon-circle-arrow-down</p>
      <p><i class="icon-filter"></i>icon-filter</p>
    </div><!--.span3-->
    <div class="span3">
      <p><i class="icon-search"></i>icon-search</p>
      <p><i class="icon-star-empty"></i>icon-star-empty</p>
      <p><i class="icon-th"></i>icon-th</p>
      <p><i class="icon-zoom-in"></i>icon-zoom-in</p>
      <p><i class="icon-cog"></i>icon-cog</p>
      <p><i class="icon-time"></i>icon-time</p>
      <p><i class="icon-upload"></i>icon-upload</p>
      <p><i class="icon-refresh"></i>icon-refresh</p>
      <p><i class="icon-headphones"></i>icon-headphones</p>
      <p><i class="icon-qrcode"></i>icon-qrcode</p>
      <p><i class="icon-book"></i>icon-book</p>
      <p><i class="icon-font"></i>icon-font</p>
      <p><i class="icon-text-width"></i>icon-text-width</p>
      <p><i class="icon-align-justify"></i>icon-align-justify</p>
      <p><i class="icon-facetime-video"></i>icon-facetime-video</p>
      <p><i class="icon-adjust"></i>icon-adjust</p>
      <p><i class="icon-check"></i>icon-check</p>
      <p><i class="icon-backward"></i>icon-backward</p>
      <p><i class="icon-forward"></i>icon-forward</p>
      <p><i class="icon-chevron-left"></i>icon-chevron-left</p>
      <p><i class="icon-remove-sign"></i>icon-remove-sign</p>
      <p><i class="icon-screenshot"></i>icon-screenshot</p>
      <p><i class="icon-arrow-left"></i>icon-arrow-left</p>
      <p><i class="icon-share-alt"></i>icon-share-alt</p>
      <p><i class="icon-minus"></i>icon-minus</p>
      <p><i class="icon-leaf"></i>icon-leaf</p>
      <p><i class="icon-warning-sign"></i>icon-warning-sign</p>
      <p><i class="icon-comment"></i>icon-comment</p>
      <p><i class="icon-retweet"></i>icon-retweet</p>
      <p><i class="icon-resize-vertical"></i>icon-resize-vertical</p>
      <p><i class="icon-bell"></i>icon-bell</p>
      <p><i class="icon-hand-right"></i>icon-hand-right</p>
      <p><i class="icon-circle-arrow-right"></i>icon-circle-arrow-right</p>
      <p><i class="icon-globe"></i>icon-globe</p>
      <p><i class="icon-briefcase"></i>icon-briefcase</p>
    </div><!--.span3-->
    <div class="span3">
      <p><i class="icon-envelope"></i>icon-envelope</p>
      <p><i class="icon-user"></i>icon-user</p>
      <p><i class="icon-th-list"></i>icon-th-list</p>
      <p><i class="icon-zoom-out"></i>icon-zoom-out</p>
      <p><i class="icon-trash"></i>icon-trash</p>
      <p><i class="icon-road"></i>icon-road</p>
      <p><i class="icon-inbox"></i>icon-inbox</p>
      <p><i class="icon-list-alt"></i>icon-list-alt</p>
      <p><i class="icon-volume-off"></i>icon-volume-off</p>
      <p><i class="icon-barcode"></i>icon-barcode</p>
      <p><i class="icon-bookmark"></i>icon-bookmark</p>
      <p><i class="icon-bold"></i>icon-bold</p>
      <p><i class="icon-align-left"></i>icon-align-left</p>
      <p><i class="icon-list"></i>icon-list</p>
      <p><i class="icon-picture"></i>icon-picture</p>
      <p><i class="icon-tint"></i>icon-tint</p>
      <p><i class="icon-move"></i>icon-move</p>
      <p><i class="icon-play"></i>icon-play</p>
      <p><i class="icon-fast-forward"></i>icon-fast-forward</p>
      <p><i class="icon-chevron-right"></i>icon-chevron-right</p>
      <p><i class="icon-ok-sign"></i>icon-ok-sign</p>
      <p><i class="icon-remove-circle"></i>icon-remove-circle</p>
      <p><i class="icon-arrow-right"></i>icon-arrow-right</p>
      <p><i class="icon-resize-full"></i>icon-resize-full</p>
      <p><i class="icon-asterisk"></i>icon-asterisk</p>
      <p><i class="icon-fire"></i>icon-fire</p>
      <p><i class="icon-plane"></i>icon-plane</p>
      <p><i class="icon-magnet"></i>icon-magnet</p>
      <p><i class="icon-shopping-cart"></i>icon-shopping-cart</p>
      <p><i class="icon-resize-horizontal"></i>icon-resize-horizontal/p>
      <p><i class="icon-certificate"></i>icon-certificate</p>
      <p><i class="icon-hand-left"></i>icon-hand-left</p>
      <p><i class="icon-circle-arrow-left"></i>icon-circle-arrow-left</p>
      <p><i class="icon-wrench"></i>icon-wrench</p>
      <p><i class="icon-fullscreen"></i>icon-fullscreen</p>
    </div><!--.span3-->
  </div><!--.row-fluid-->
  
  <!-- END: Icon Tips -->

  <!-- BEGIN: Bubbles  -->
  <header class="row-fluid"><h3 class="span12" id="bubbles">Bubbles<a href="#" class="gotop">go top</a></h3></header>
  <div class="row-fluid bt_row">
    <div class="span6">
      <p class="bt_howto"><strong>For use: &lt;p class=&quot;triangle-border&quot;&gt;your text goes here...&lt;/p&gt;</strong></p>
      <p class="triangle-border">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy. Typesetting industry. Lorem Ipsum has been the standard dummy.</p>
    </div><!--.span6-->
    <div class="span6">
      <p class="bt_howto"><strong>For use: &lt;div class=&quot;pinched&quot;&gt;&lt;p&gt;your text goes here...&lt;/p&gt;</strong>&lt;/div&gt;</p>
      <div class="pinched">
        <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard dummy. Typesetting industry. Lorem Ipsum has been the standard dummy.</p>
      </div><!--.pinched-->
    </div><!--.span6-->
  </div><!--.row-fluid-->
  <!-- END: Bubbles  -->

</div><!--.bt_typography-->

<script type="text/javascript">
jQuery(document).ready(function(){ 

jQuery('.gotop').click(function(){
	jQuery("html, body").animate({ scrollTop: 0 }, 600);
	return false;
});

});
</script>