<?php
/*---------------------------------------------------------
# BT Slideshow - Joomla! Module
# ---------------------------------------------------------
# For Joomla! 2.5 & Joomla! 3.x
# Copyright (C) 2007-2013 BonusThemes.com. All rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// get params
$img1_param = $params->get('img1');
$img2_param = $params->get('img2');
$img3_param = $params->get('img3');
$img1_caption_param = $params->get('img1_caption');
$img2_caption_param = $params->get('img2_caption');
$img3_caption_param = $params->get('img3_caption');

// get images
$img1 = (!empty($img1_param)) ? $img1_param : 'modules/mod_bt_slideshow/assets/images/carousel/sample_carousel_img-1.jpg';
$img2 = (!empty($img2_param)) ? $img2_param : 'modules/mod_bt_slideshow/assets/images/carousel/sample_carousel_img-2.jpg';
$img3 = (!empty($img3_param)) ? $img3_param : 'modules/mod_bt_slideshow/assets/images/carousel/sample_carousel_img-3.jpg';

// get captions
$img1_caption = (!empty($img1_caption_param)) ? $img1_caption_param : 'This is a sample caption #1.';
$img2_caption = (!empty($img2_caption_param)) ? $img2_caption_param : 'This is a sample caption #2.';
$img3_caption = (!empty($img3_caption_param)) ? $img3_caption_param : 'This is a sample caption #3.';

// get hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
$document = JFactory::getDocument();

// CSS
$style = '
/* BEGIN: mod_bt_slideshow css code */
    .carousel { }
    .carousel-inner { }
    .carousel .container { }
    .carousel-control { }
    .carousel .item { }
    .carousel img { }
    .carousel-caption { color: #fff; }
/* END: mod_bt_slideshow css code */
';
$document->addStyleDeclaration($style);

// Display the Slideshow
echo '<div id="btCarousel" class="carousel slide">';
echo '<div class="carousel-inner">';

if (!empty($img1)) :
	echo '<div class="active item">';
	echo '<img src="'.$img1.'" alt="">';
	echo (!empty($img1_caption)) ? '<div class="container"><div class="carousel-caption">'.$img1_caption.'</div></div>' : '';
	echo '</div>';
endif;

if (!empty($img2)) :
	echo '<div class="item">';
	echo '<img src="'.$img2.'" alt="">';
	echo (!empty($img2_caption)) ? '<div class="container"><div class="carousel-caption">'.$img2_caption.'</div></div>' : '';
	echo '</div>';
endif;

if (!empty($img3)) :
	echo '<div class="item">';
	echo '<img src="'.$img3.'" alt="">';
	echo (!empty($img3_caption)) ? '<div class="container"><div class="carousel-caption">'.$img3_caption.'</div></div>' : '';
	echo '</div>';
endif;

echo '</div>';
echo '<a class="left carousel-control" href="#btCarousel" data-slide="prev">&lsaquo;</a>';
echo '<a class="right carousel-control" href="#btCarousel" data-slide="next">&rsaquo;</a>';
echo '</div><!-- /.carousel -->';

