<?php
/*---------------------------------------------------------
# BT Bodyworx - Joomla! Template
# ---------------------------------------------------------
# For Joomla! 2.5
# Copyright (C) 2007-2013 BonusThemes.com. All rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Demo: http://www.bonusthemes.com/demo/?template=bodyworx
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */
defined( '_JEXEC' ) or die( 'Restricted access' ); 

?>

<?php defined( '_JEXEC' ) or die( 'Restricted access' );
if (!isset($this->error)) {
	$this->error = JError::raiseWarning( 403, JText::_('ALERTNOTAUTH') );
	$this->debug = false;
}
// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper(); ?>
<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>"<?php echo ($bt->lang_type == 'RTL') ? ' dir="rtl"' : '';?>>
<head>

   <title><?php echo $this->error->getCode(); ?> - <?php echo $this->title; ?></title>

   <!-- BEGIN: Bootstrap CSS -->
   <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/css/bootstrap.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/css/bootstrap-responsive.css" type="text/css" />
   <!-- END: Bootstrap CSS -->

   <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/system<?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography<?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system/error<?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/skins/<?php echo $bt->skin; ?><?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />

<?php
// Google Fonts
echo $bt->getGoogleFonts();
?>

</head>
<body id="bt_error">

        <div class="row-fluid">
          <div class="container" id="bt_error_outer">
        
        	<div class="span5 span_left_col">
               <div id="bt_error_left_col">
                   <p class="error_message"><?php echo $this->error->getMessage(); ?></p> 
                   <div class="error_img">
                      <img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/images/<?php echo $bt->skin; ?>/system/bt_error_img.png" alt="error image" />
                   </div> 
               </div><!-- end: #bt_error_left_col -->
            </div><!-- end: .span5 -->
            
            <div class="span7 span_right_col">
            
                <div id="bt_error_message">
                    
                    <div id="bt_error_notice_text"><p><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></p></div>
        
                    <div id="bt_error_details">
                        
                        <ol>
                            <li><?php echo JText::_('JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE'); ?></li>
                            <li><?php echo JText::_('JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING'); ?></li>
                            <li><?php echo JText::_('JERROR_LAYOUT_MIS_TYPED_ADDRESS'); ?></li>
                            <li><?php echo JText::_('JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE'); ?></li>
                            <li><?php echo JText::_('JERROR_LAYOUT_REQUESTED_RESOURCE_WAS_NOT_FOUND'); ?></li>
                            <li><?php echo JText::_('JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST'); ?></li>
                        </ol>
                        
                        <p><strong><?php echo JText::_('JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES'); ?></strong></p>
                        
                        <ul>
                            <li><a href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a></li>
                            <li><a href="<?php echo $this->baseurl; ?>/index.php?option=com_search" title="<?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?></a></li>
                        </ul>
                    
                        <p><?php echo JText::_('If difficulties persist, please contact the system administrator of this site.'); ?></p>
                    
                    </div><!-- #bt_error_details -->
                
                </div><!-- #bt_error_message -->
        	
            </div><!-- end: .span7 -->

          </div><!-- end: .container #bt_error_outer -->
       </div><!-- end: .row-fluid -->

    </div><!-- end: #bt_error_outer -->
        
    <div><small><?php if ($this->debug) : echo $this->renderBacktrace(); endif; ?></small></div>

<!-- BEGIN: Bootstrap Javascript -->
<script src="http://code.jquery.com/jquery-latest.js"></script>
<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/js/bootstrap.min.js"></script>
<!-- END: Bootstrap Javascript -->
</body>
</html>