<?php
/*---------------------------------------------------------
# BT Bodyworx - Joomla! Template
# ---------------------------------------------------------
# For Joomla! 2.5
# Copyright (C) 2007-2013 BonusThemes.com. All rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Demo: http://www.bonusthemes.com/demo/?template=bodyworx
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */
defined( '_JEXEC' ) or die( 'Restricted access' ); 

?>

<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

?>

<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>"<?php echo ($bt->lang_type == 'RTL') ? ' dir="rtl"' : '';?>>
<head>
   <jdoc:include type="head" />
   
   <!-- BEGIN: Bootstrap CSS -->
   <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/css/bootstrap.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/css/bootstrap-responsive.css" type="text/css" />
   <!-- END: Bootstrap CSS -->

   <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/system<?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography<?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system/offline<?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />
   <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/skins/<?php echo $bt->skin; ?><?php echo ($bt->lang_type == 'RTL') ? '_rtl' : ''; ?>.css" type="text/css" />

<?php
// Google Fonts
echo $bt->getGoogleFonts();
?>

</head>

<body id="bt_offline">

    <div id="bt_offline_outer">
		
        <div class="row-fluid">
        	<div class="span12">
                <div class="bt_offline_message">
                    <jdoc:include type="message" />
                </div><!-- end: .bt_offline_message -->
             </div><!-- end: .span12 -->
		</div><!-- end: .row-fluid -->
        
        <div class="row-fluid">
        
            <div class="span4">
                <div class="offline_img"></div> 
            </div><!-- end: .span6 -->
            
            <div class="span8">
                <div id="bt_offline_area">
        
                    <div id="bt_offline_form">
                        
                        <div id="bt_offline_message"><?php echo $bt->app->getCfg('offline_message'); ?></div>
                        
                        <div id="bt_offline_form_area">
                        
                            <form action="<?php echo JRoute::_('index.php', true); ?>" method="post" id="form-login">
                            
                                <div id="bt_offline_form_user">
                                    <label for="username"><?php echo JText::_('JGLOBAL_USERNAME') ?></label>
                                    <input name="username" id="username" type="text" class="inputbox" alt="<?php echo JText::_('JGLOBAL_USERNAME') ?>" size="18" />
                                </div>
                                
                                <div id="bt_offline_form_pass">
                                    <label for="passwd"><?php echo JText::_('JGLOBAL_PASSWORD') ?></label>
                                    <input type="password" name="password" class="inputbox" size="18" alt="<?php echo JText::_('JGLOBAL_PASSWORD') ?>" id="passwd" />
                                </div>
                                
                                <div class="clearfix"></div>
                                
                                <div id="bt_offline_form_remember">
                                    <input type="checkbox" name="remember" class="inputbox" value="yes" alt="<?php echo JText::_('JGLOBAL_REMEMBER_ME') ?>" id="remember" />
                                    <label for="remember"><?php echo JText::_('JGLOBAL_REMEMBER_ME') ?></label>
                                </div>
                                
                                <div id="bt_offline_form_button">
                                    <input type="submit" name="Submit" class="button" value="<?php echo JText::_('JLOGIN') ?>" />
                                </div>
                                
                                <input type="hidden" name="option" value="com_users" />
                                <input type="hidden" name="task" value="user.login" />
                                <input type="hidden" name="return" value="<?php echo base64_encode(JURI::base()) ?>" />
                                
                                <?php echo JHTML::_( 'form.token' ); ?>
                            
                            </form>
                            
                        </div><!-- end: #bt_offline_form_area -->
                        
                    </div><!-- end: #bt_offline_form -->
                    
                </div><!-- end: #bt_offline_area -->
                    
            </div><!-- end: .span6 -->
            
        </div><!-- end: .row-fluid -->
        
    </div><!-- end: #bt_offline_outer -->
        
<!-- end: body#bt_offline -->

<!-- BEGIN: Bootstrap Javascript -->
<script src="http://code.jquery.com/jquery-latest.js"></script>
<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/helpers/bootstrap/js/bootstrap.min.js"></script>
<!-- END: Bootstrap Javascript -->
</body>
</html>